%define req_gedit_version 2.15
Summary:		Extra plugins for gedit
Name:			gedit-plugins
Version:		2.16.0
Release:		%mkrel 1
License:		GPL
Group:			Editors 
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:			http://gedit.pn.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	pygtk2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:  gedit-devel >= %{req_gedit_version}
BuildRequires:  gnome-doc-utils libxslt-proc
BuildRequires:	gucharmap-devel
Requires:	gedit >= %{req_gedit_version}
Requires:	python-vte

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins/*.la

%define gettext_package %{name}
%{find_lang} %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null
fi

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/gedit-show-tabbar-plugin.schemas
%{_libdir}/gedit-2/plugins/*.so
%{_libdir}/gedit-2/plugins/*.gedit-plugin
%{_libdir}/gedit-2/plugins/*.py*

%changelog
* Fri Sep 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- New release 2.15.5

* Sun Aug 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.15.4-2mdv2007.0
- rebuild for libgucharmap

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1
- New release 2.15.4

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- fix URL
- New release 2.15.3

* Thu Jun 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.2-4
- add BuildRequires: libgucharmap-devel

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-3mdv2007.0
- Add missing dependencies for terminal plugin

* Wed Jun  7 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Back from the deads (notice the date ;)
- Release 2.15.2

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-1mdk
- Release 2.3.5
- Remove patches 0 & 1 (merged upstream)

* Fri Aug 15 2003 Abel Cheung <maddog@linux.org.hk> 2.3.2-2mdk
- Patch0 (CVS): several plugins removed (so won't conflict with gedit 2.3.3)
- Patch1: Fix plugins built against gedit 2.3.3
- Remove Source2 (icons)
- locale files renamed, no need to remove them
- BuildRequires

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Initial Mdk package
- don't ship locales files, they are conflicting with gedit ones.
